
#include "fb.h"
#include "lcdc.h"

#define IMAGE_WIDTH  480
#define IMAGE_HEIGHT 272
#define IMAGE_DEPTH  2
#define IMAGE_SIZE   (IMAGE_WIDTH*IMAGE_HEIGHT*IMAGE_DEPTH)

//  CvO
void main ()
{
    //  FB 
    int width, height;
    fb_init(&width, &height);
    if (width != IMAGE_WIDTH || height != IMAGE_HEIGHT) {
        //  480x272 łȂ΃G[
        printf("error: FB size does not match (main)\n");
        exit(-1);
    }
    //  LCD 
    LCDC_Init(LCDC_MODE_RGB565);
    //  摜]iFB->SPIj
	spi_update_buffer(LCDC_GetFrameStartAddress(), fb_get(), IMAGE_SIZE, 1);
    while (1) {
		spi_update_buffer(LCDC_GetFrameStartAddress(), fb_get(), IMAGE_SIZE, 0);
		usleep(200000);
    }
}
